<template>
  <div class="box">
    <el-form style="margin-bottom: 20px" label-width="100px">
      <el-row style="height: 40px">
        <el-button type="primary">添加推演</el-button>
        <el-button
          style="float: right"
          icon="el-icon-video-pause"
          type="primary"
          >一键停止</el-button
        >
        <el-button style="float: right" icon="el-icon-video-play" type="primary"
          >一键启动</el-button
        >
        <el-button style="float: right" icon="el-icon-search" type="primary"
          >查询</el-button
        >
        <el-form-item style="float: right" label="任务名称">
          <el-select
            :popper-append-to-body="false"
            v-model="task.value"
            placeholder="请选择任务"
          >
            <el-option
              v-for="item in task.options"
              :key="item.value"
              :label="item.label"
              :value="item.value"
            >
            </el-option>
          </el-select>
        </el-form-item>
        <el-form-item style="float: right" label="方案名称">
          <el-select
            :popper-append-to-body="false"
            v-model="scheme.value"
            placeholder="请选择方案"
          >
            <el-option
              v-for="item in scheme.options"
              :key="item.value"
              :label="item.label"
              :value="item.value"
            >
            </el-option>
          </el-select>
        </el-form-item>
        <el-form-item style="float: right" label="场景（想定）">
          <el-select
            :popper-append-to-body="false"
            v-model="scene.value"
            placeholder="请选择场景"
          >
            <el-option
              v-for="item in scene.options"
              :key="item.value"
              :label="item.label"
              :value="item.value"
            >
            </el-option>
          </el-select>
        </el-form-item>
      </el-row>
    </el-form>
    <el-table :data="table.data">
      <el-table-column align="center" type="selection" width="55">
      </el-table-column>
      <el-table-column
        v-for="(item, index) in table.tableTh"
        :key="index"
        :label="item.label"
        :prop="item.prop"
        align="center"
      >
      </el-table-column>
      <el-table-column label="计算节点" prop="computeNode" align="center">
        <template>
          <div class="computeNode"></div>
        </template>
      </el-table-column>
      <el-table-column label="存储数据" prop="storeData" align="center">
        <template>
          <div
            style="
              width: 31px;
              height: 20px;
              background: #ffffff;
              border-radius: 10px;
              margin: 0 auto;
            "
          ></div> </template
      ></el-table-column>
      <el-table-column label="状态" prop="status" align="center">
        <template>
            <div
            style="
              width: 20px;
              height: 20px;
              background: #ffffff;
              border-radius: 10px;
              margin: 0 auto;
            "
          ></div> </template
      ></el-table-column>
      <el-table-column label="操作" min-width="100" align="center">
        <template slot-scope="scope">
          <el-button type="text" @click="handleClick(scope.row)" size="small"
            >启动</el-button
          >
          <el-button type="text" @click="handleClick(scope.row)" size="small"
            >停止</el-button
          >
          <el-button type="text" @click="handleClick(scope.row)" size="small"
            >继续</el-button
          >
        </template>
      </el-table-column>
    </el-table>
  </div>
</template>

<script>
export default {
  name: "InferentialTaskControl",
  data() {
    return {
      task: {
        options: [
          {
            value: "qx102stect1",
            label: "qx102stect1",
          },
          {
            value: "qx102stect2",
            label: "qx102stect2",
          },
        ],
        value: "",
      },
      scheme: {
        options: [
          {
            value: "qx102stect1",
            label: "qx102stect1",
          },
          {
            value: "qx102stect2",
            label: "qx102stect2",
          },
        ],
        value: "",
      },
      scene: {
        options: [
          {
            value: "qx102stect1",
            label: "qx102stect1",
          },
          {
            value: "qx102stect2",
            label: "qx102stect2",
          },
        ],
        value: "",
      },
      table: {
        data: [
          {
            task: "qx102stect1任务",
            scheme: "qx102stect1",
            scene: "qx102stect1-场景",
            computeNode: "",
            startTime: "2023-06-01 00:00:00",
            endTime: "2027-06-01 00:00:00",
            storeData: "",
            status: "",
          },
          {
            task: "qx102stect2任务",
            scheme: "qx102stect2",
            scene: "qx102stect2-场景",
            computeNode: "",
            startTime: "2023-06-01 00:00:00",
            endTime: "2027-06-01 00:00:00",
            storeData: "",
            status: "",
          },
        ],
        tableTh: [
          {
            label: "任务名称",
            prop: "task",
          },
          {
            label: "方案名称",
            prop: "scheme",
          },
          {
            label: "场景名称",
            prop: "scene",
          },
          {
            label: "开始时间",
            prop: "startTime",
          },
          {
            label: "结束时间",
            prop: "endTime",
          },
        ],
      },
    };
  },
  methods: {
    handleClick(row) {},
  },
};
</script>

<style lang="less" scoped>
.box {
  width: 88%;
  height: 85%;
  background-image: url("~@/assets/images/InferentialTaskControl/bg.png");
  background-size: 100% 100%;
  margin: 0 5% 0;
  padding: 10px 1% 20px;
}
/deep/ .el-form-item__label {
  color: #fff;
}

/deep/ .el-table {
  background-color: rgba(0, 0, 0, 0);
  .computeNode{
    background-image: url("~@/assets/images/InferentialTaskControl/computeNode.png");
    background-size: 100% 100%;
    width: 35px;
    height: 35px;
    margin: 0 auto;
  }
  thead {
    tr {
      th {
        background-color: #2d4c9e;
        border-bottom: 0px;
        .cell {
          font-weight: 400;
          font-size: 20px;
          color: #fff;
          text-shadow: 0px 0px 2px #00fbff;
        }
      }
    }
  }
  tbody {
    tr {
      background-color: rgba(0, 0, 0, 0);
      td {
        background-color: rgba(0, 0, 0, 0);
        border-bottom: 0px;
        .cell {
          font-size: 16px;
          color: #fff;
        }
      }
    }
    tr:hover {
      border: 2px solid #4b96dd;
      td {
        background-color: #2d4c9e;
        .cell {
          color: #fff;
        }
      }
    }
  }
}
/deep/ .el-table::before {
  height: 0px;
}
/deep/ .el-select {
  input {
    border: 1px solid #4b96dd;
    background-color: rgba(0, 0, 0, 0);
    color: #ddd;
  }
}
/deep/ .el-select-dropdown {
  border: 1px solid #4b96dd;
  background-color: #091631;
  .el-select-dropdown__item.hover,
  .el-select-dropdown__item:hover {
    background-color: #2d4c9e;
    color: #fff;
  }
  .el-select-dropdown__item {
    color: #bbb;
  }
}
</style>